Skip to main content
GET
/
v1
/
org
/
{org_id}
/
commitment-plans
/
{plan_id}
/
resource-matches
/commitment-plans/{plan_id}/resource-matches
curl --request GET \
  --url https://api.archera.ai/v1/org/{org_id}/commitment-plans/{plan_id}/resource-matches \
  --header 'x-api-key: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "total_units": 123,
    "before_uncovered_units": 123,
    "after_covered_units": 123,
    "after_uncovered_units": 123,
    "ondemand_price": 123,
    "if_all_ondemand_cost": 123,
    "before_ondemand_cost": 123,
    "after_ondemand_cost": 123,
    "covered_ondemand_cost": 123,
    "before_reserved_cost": 123,
    "after_reserved_cost": 123,
    "before_cost": 123,
    "after_cost": 123,
    "monthly_before_cost": 123,
    "monthly_after_cost": 123,
    "monthly_after_reserved_cost": 123,
    "monthly_after_ondemand_cost": 123,
    "average_savings": 123,
    "average_monthly_savings": 123,
    "usage_type": "running",
    "coverage": 123,
    "resource": {
      "id": "<string>",
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "provider": "aws",
      "provider_resource_id": "arn:aws:ec2:us-west-2:123456789012:instance/i-1234567890abcdef0",
      "is_spot": true,
      "usage_end": "2023-12-25",
      "usage_start": "2023-12-25",
      "tags": {},
      "created_at": "2023-12-25",
      "updated_at": "2023-12-25",
      "management_account_id": "<string>",
      "owner_account_id": "<string>",
      "name": "<string>",
      "resource_group": "<string>",
      "instance_id": "<string>",
      "sku_title": "<string>",
      "sku_name": "<string>",
      "availability_zone": "<string>",
      "cache_engine": "<string>",
      "database_engine": "<string>",
      "description": "<string>",
      "family": "<string>",
      "full_region_name": "<string>",
      "has_ondemand_terms": true,
      "instance_type": "<string>",
      "instance_type_family": "<string>",
      "is_reservable": true,
      "license_model": "<string>",
      "location_type": "<string>",
      "normalization_size_factor": "<string>",
      "operating_system": "<string>",
      "pre_installed_sw": "<string>",
      "price_currency": "<string>",
      "provider_service": "<string>",
      "provider_sku_id": "<string>",
      "publication_date": "<string>",
      "region": "<string>",
      "service": "<string>",
      "tenancy": "<string>",
      "usage_type": "<string>",
      "version": "<string>",
      "vpc_networking_support": true,
      "ondemand_usage_unit": "<string>"
    }
  }
]

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key from User Settings > API Access in the Archera platform.

Path Parameters

org_id
string<uuid>
required
plan_id
string<uuid>
required

Query Parameters

order_by
enum<string> | null
default:covered_ondemand_cost

Field to order results by

Available options:
id,
unmatched_units,
total_units,
ondemand_price,
reserved_cost,
explanation_unmatched,
coverage,
ondemand_cost,
covered_ondemand_cost,
before_cost,
after_cost,
covered_units,
average_savings,
average_monthly_savings,
monthly_after_cost,
null
desc
boolean
default:true

Sort in descending order if true

start_date
string<date>
required

Start date for resource usage data

Example:

"2024-01-01"

end_date
string<date>
required

End date for resource usage data

Example:

"2024-01-31"

line_item_ids
string<uuid>[]

Filter by specific line item IDs

Example:
["550e8400-e29b-41d4-a716-446655440000"]
page
integer
default:1
Required range: x >= 1
page_size
integer
default:20
Required range: 1 <= x <= 100

Response

OK

id
string<uuid>
required

Unique identifier for the resource match

total_units
number
required

Total resource usage units

before_uncovered_units
number
required

Units not covered at the moment (before this plan)

after_covered_units
number
required

Units that will be covered after the plan is applied

after_uncovered_units
number
required

Units that will remain uncovered after the plan to avoid overcommit

ondemand_price
number
required

Ondemand cost per unit-hour

if_all_ondemand_cost
number
required

Hourly cost if paying all the units with ondemand price

before_ondemand_cost
number
required

Current hourly ondemand cost for units not covered by existing commitments

after_ondemand_cost
number
required

Hourly ondemand cost remaining after applying this plan

covered_ondemand_cost
number
required

Hourly ondemand cost for units that will be covered by this plan

before_reserved_cost
number
required

Hourly cost from current/existing reservations for this resource

after_reserved_cost
number
required

Hourly commitment/reserved cost after applying this plan

before_cost
number
required

Total hourly cost before applying this plan (ondemand + reserved costs)

after_cost
number
required

Total hourly cost after applying this plan

monthly_before_cost
number
required

Total monthly cost before applying this plan

monthly_after_cost
number
required

Total monthly cost after applying this plan

monthly_after_reserved_cost
number
required

Monthly reserved/commitment cost portion after applying this plan

monthly_after_ondemand_cost
number
required

Monthly ondemand cost portion after applying this plan

average_savings
number
required

Average hourly savings from this plan

average_monthly_savings
number
required

Average monthly savings from this plan

usage_type
enum<string>
required

Type of resource usage

Available options:
running,
resource,
requests,
gb_seconds,
gb_hours,
cpu_hours,
cpu_utilization,
os_hours,
units_per_month,
gb_per_month,
provisioned_concurrency_gb_seconds,
provisioned_duration_gb_seconds,
unknown
coverage
number
required

Percentage of total units that will be covered by commitments (0-1)

resource
object
required

Detailed resource information including provider, service, and instance details etc